Retrieve reported accounts with their representatives
curl --request GET \
--url https://api.rrc.dev.finventi.com/reports/sask/v1/accounts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rrc.dev.finventi.com/reports/sask/v1/accounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rrc.dev.finventi.com/reports/sask/v1/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"accountType": "CURRENT_ACCOUNT",
"iban": "LT601010012345678901",
"currency": "EUR",
"openedDate": "2024-12-20",
"owner": {
"type": "F",
"surname": "Jonaitis",
"personCode": 39001011234,
"name": "Jonas",
"birthDate": "1990-05-15",
"addressCountry": "LT",
"address": "Vilnius, Gedimino pr. 1",
"codeCountry": "LT",
"codeInForeignCountry": 39001011234,
"documentType": "LT_PASSPORT",
"documentNumber": "AB123456",
"nationalities": [
"LT"
],
"siv": false
},
"refId": "305697289_20250303_E5D11991C7B74CB0",
"closedDate": "2025-06-30",
"representatives": [
{
"dateFrom": "2024-12-18",
"representative": {
"type": "F",
"surname": "Jonaitis",
"personCode": 39001011234,
"name": "Jonas",
"birthDate": "1990-05-15",
"addressCountry": "LT",
"address": "Vilnius, Gedimino pr. 1",
"codeCountry": "LT",
"codeInForeignCountry": 39001011234,
"documentType": "LT_PASSPORT",
"documentNumber": "AB123456",
"nationalities": [
"LT"
],
"siv": false
},
"refId": "cc85a01c-e710-4a72-bed1-df29c2d90f23",
"dateTo": "2025-12-31"
}
]
}
]Accounts
Get accounts
Retrieve reported accounts with their representatives by account number.
GET
/
reports
/
sask
/
v1
/
accounts
Retrieve reported accounts with their representatives
Authorizations
Obtain JWT via client_credentials grant. Required role: MMR_SASK_REPORT
Query Parameters
Account number
Response
200 - application/json
OK
Available options:
CURRENT_ACCOUNT, DEPOSIT_ACCOUNT, LOAN_ACCOUNT, SAVINGS_ACCOUNT, PAYMENT_CARD_ACCOUNT, OTHER_ACCOUNT, SECURITIES_ACCOUNT, CUSTODY_ACCOUNT, SMALL_ENTREPRENEUR_ACCOUNT, INVESTMENT_ACCOUNT, CRYPTO_ASSET_ACCOUNT Account number (IBAN)
Maximum string length:
35Example:
"LT601010012345678901"
Currency code (ISO 4217)
Minimum string length:
1Example:
"EUR"
Date when the account was opened
Example:
"2024-12-20"
Show child attributes
Show child attributes
Unique reference ID of the account. Store it for future updates or deletions
Example:
"305697289_20250303_E5D11991C7B74CB0"
Date when the account was closed
Example:
"2025-06-30"
List of representatives for this account
Show child attributes
Show child attributes
Last modified on August 5, 2026